Loading...
Searching...
No Matches
svn_auth_cred_ssl_server_trust_t Struct Reference
Authentication functions

`SVN_AUTH_CRED_SSL_SERVER_TRUST` credentials. More...

`#include <svn_auth.h>`

## Data Fields

svn_boolean_t | may_save
| Indicates if the credentials may be saved (to disk).
apr_uint32_t | accepted_failures
| Bit mask of the accepted failures.

## Detailed Description

`SVN_AUTH_CRED_SSL_SERVER_TRUST` credentials.

Definition at line 331 of file svn_auth.h.

## Field Documentation

## accepted_failures

apr_uint32_t svn_auth_cred_ssl_server_trust_t::accepted_failures

Bit mask of the accepted failures.

Definition at line 339 of file svn_auth.h.

## may_save

svn_boolean_t svn_auth_cred_ssl_server_trust_t::may_save

Indicates if the credentials may be saved (to disk).

For example, a GUI prompt implementation with a checkbox to accept the certificate permanently shall set may_save to TRUE if the checkbox is checked.

Definition at line 337 of file svn_auth.h.

The documentation for this struct was generated from the following file:

- svn_auth.h